POST /_system/react/components

Create a new React component with code compilation

Create a new React component with code compilation
KeyTypeExampleDescription
authorizationrequiredstring
"Bearer access_token"
Access token
KeyTypeExampleDescription
componentrequiredstring
"example"
React component source code
descriptionoptionalstring
"Used by the nightly order sync."
Component description
inpinsoptionalarray
[{}]
Input pin configuration
namerequiredstring
"production"
Component name
{}
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
StatusError CodeDescription
401INVALID_ACCESS_TOKENAuthentication required or invalid token
PermissionDescription
Bearer tokenAccess token required via Authorization header, x-authtoken, x-token, query param, or cookie
react_components_createRequired scope: react_components_create

Back to React Components Return to the React Components category to view other endpoints All API Categories Browse all available API categories